/*
 * Copyright (c) Des Herriott 1993, 1994
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of the copyright holder not be used in
 * advertising or publicity pertaining to distribution of the software without
 * specific, written prior permission.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It
 * is provided "as is" without express or implied warranty.
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 * EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Des Herriott
 */

/* 
 * header file z80ops.h - declares the unshifted z80 operations.
 */

void
nop(), ld_bcNN(), ld__bc_a(), inc_bc(), inc_b(), dec_b(), ld_bN(), rlca(),
ex_afaf(), add_hlbc(), ld_a_bc_(), dec_bc(), inc_c(), dec_c(), ld_cN_(), rrca(),
djnz_D(), ld_deNN(), ld__de_a(), inc_de(), inc_d(), dec_d(), ld_dN(), rla(),
jr_D(), add_hlde(), ld_a_de_(), dec_de(), inc_e(), dec_e(), ld_eN(), rra(),
jr_nzD(), ld_hlNN(), ld__NN_hl(), inc_hl(), inc_h(), dec_h(), ld_hN(), daa(),
jr_zD(), add_hlhl(), ld_hl__NN_(), dec_hl(), inc_l(), dec_l(), ld_lN(), cpl(),
jr_ncD(), ld_spNN(), ld__NN_a(), inc_sp(), inc__hl_(), dec__hl_(), ld__hl_N(),
	scf(),
jr_cD_(), add_hlsp(), ld_a_NN__(), dec_sp(), inc_a(), dec_a(), ld_aN(), ccf(),
ld_bb(), ld_bc(), ld_bd(), ld_be(), ld_bh(), ld_bl(), ld_b_hl_(), ld_ba(),
ld_cb(), ld_cc(), ld_cd(), ld_ce(), ld_ch(), ld_cl(), ld_c_hl_(), ld_ca(),
ld_db(), ld_dc(), ld_dd(), ld_de(), ld_dh(), ld_dl(), ld_d_hl_(), ld_da(),
ld_eb(), ld_ec(), ld_ed(), ld_ee(), ld_eh(), ld_el(), ld_e_hl_(), ld_ea(),
ld_hb(), ld_hc(), ld_hd(), ld_he(), ld_hh(), ld_hl(), ld_h_hl_(), ld_ha(),
ld_lb(), ld_lc(), ld_ld(), ld_le(), ld_lh(), ld_ll(), ld_l_hl_(), ld_la(),
ld__hl_b(), ld__hl_c(), ld__hl_d(), ld__hl_e(), ld__hl_h(), ld__hl_l(), halt(),
	ld__hl_a(),
ld_ab(), ld_ac(), ld_ad(), ld_ae(), ld_ah(), ld_al(), ld_a_hl_(), ld_aa(),
add_ab(), add_ac(), add_ad(), add_ae(), add_ah(), add_al(), add_a_hl_(),
	add_aa(),
adc_ab(), adc_ac(), adc_ad(), adc_ae(), adc_ah(), adc_al(), adc_a_hl_(),
	adc_aa(),
sub_b(), sub_c(), sub_d(), sub_e(), sub_h(), sub_l(), sub__hl_(), sub_a(),
sbc_ab(), sbc_ac(), sbc_ad(), sbc_ae(), sbc_ah(), sbc_al(), sbc_a_hl_(),
	sbc_aa(),
and_b(), and_c(), and_d(), and_e(), and_h(), and_l(), and__hl_(), and_a(),
xor_b(), xor_c(), xor_d(), xor_e(), xor_h(), xor_l(), xor__hl_(), xor_a(),
or_b(), or_c(), or_d(), or_e(), or_h(), or_l(), or__hl_(), or_a(),
cp_b(), cp_c(), cp_d(), cp_e(), cp_h(), cp_l(), cp__hl_(), cp_a(),
ret_nz(), pop_bc(), jp_nzNN(), jp_NN(), call_nzNN(), push_bc(), add_aN(),
	rst_0x0(),
ret_z(), ret(), jp_zNN(), EXTEND_203(), call_zNN(), call_NN(), adc_aN(),
	rst_0x8(),
ret_nc(), pop_de(), jp_ncNN(), out__N_a(), call_ncNN(), push_de(), sub_N(),
	rst_0x10(),
ret_c(), exx(), jp_cNN(), in_a_N_(), call_cNN(), EXTEND_221(), sbc_aN(),
	rst_0x18(),
ret_po(), pop_hl(), jp_poNN(), ex__sp_hl(), call_poNN(), push_hl(), and_N(),
	rst_0x20(),
ret_pe(), jp__hl_(), jp_peNN(), ex_dehl(), call_peNN(), EXTEND_237(), xor_N(),
	rst_0x28(),
ret_p(), pop_af(), jp_pNN(), di(), call_pNN(), push_af(), or_N(), rst_0x30(),
ret_m(), ld_sphl(), jp_mNN(), ei(), call_mNN(), EXTEND_253(), cp_N(),
	rst_0x38();
